### Hierarchy

- unknown
  - ChangePasswordRequest

## Index

### Constructors

- constructor

### Methods

- getPassword
- serializeBinary
- setPassword
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ChangePasswordRequest(): ChangePasswordRequest

- Inherited from jspb.Message.constructor

  #### Returns ChangePasswordRequest

## Methods

### getPassword

- getPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:235

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:238

  #### Returns Uint8Array

### setPassword

- setPassword(value: string): ChangePasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:236

  #### Parameters

  - ##### value: string

  #### Returns ChangePasswordRequest

### toObject

- toObject(includeInstance?: boolean): ChangePasswordRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:239

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ChangePasswordRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ChangePasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:242

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ChangePasswordRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ChangePasswordRequest, reader: BinaryReader): ChangePasswordRequest

- - Defined in src/protobuf/grpc_pb.d.ts:243

  #### Parameters

  - ##### message: ChangePasswordRequest

  - ##### reader: BinaryReader

  #### Returns ChangePasswordRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ChangePasswordRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:241

  #### Parameters

  - ##### message: ChangePasswordRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ChangePasswordRequest ): ChangePasswordRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:240

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ChangePasswordRequest

  #### Returns ChangePasswordRequest . AsObject

Generated using TypeDoc